gnutls_dh_params_init(3)

NAME
gnutls_dh_params_init - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_dh_params_init(gnutls_dh_params_t * dh_params);

ARGUMENTS

gnutls_dh_params_t * dh_params
    The parameters

DESCRIPTION
This function will initialize the DH parameters type.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/